#pragma once
#include <iostream>
#include <cstring>

struct Person {
  int personNumber;
  int departmentNumber;
  char name[100];
  char surname[100];
  char patronymic[100];
  float salary;
  int dayStart;
  int monthStart;
  int yearStart;
  float premiumPercent;
  float tax;
  int workDaysCountDone;
  int workDaysCount;
  float received;
  float withheld;
  bool gender;

  Person() = default;
  Person(const Person& anotherPerson);

  friend std::istream &operator>>(std::istream& in, Person& person);
  friend std::ostream &operator<<(std::ostream& out, const Person& person);

  Person& operator=(const Person& anotherPerson);
};